Loading...
Searching...
No Matches
Event interface
L4Re C Interface

Event C interface. More...

Collaboration diagram for Event interface:

## Functions

long | l4re_event_get_buffer (const l4_cap_idx_t server, const l4re_ds_t ds) L4_NOTHROW
| Get an event signal buffer.
long | l4re_event_get_num_streams (const l4_cap_idx_t server) L4_NOTHROW
| Get number of streams.
long | l4re_event_get_stream_info (const l4_cap_idx_t server, int idx, l4re_event_stream_info_t *info) L4_NOTHROW
| Get information on a stream.
long | l4re_event_get_stream_info_for_id (const l4_cap_idx_t server, l4_umword_t stream_id, l4re_event_stream_info_t *info) L4_NOTHROW
| Get info for a stream given a stream id.
long | l4re_event_get_axis_info (const l4_cap_idx_t server, l4_umword_t id, unsigned naxes, unsigned const *axis, l4re_event_absinfo_t *info) L4_NOTHROW
| Get Axis information for a stream.

## Detailed Description

Event C interface.

## Function Documentation

## l4re_event_get_axis_info()

long l4re_event_get_axis_info | ( | const l4_cap_idx_t | server,
|  | l4_umword_t | id,
|  | unsigned | naxes,
|  | unsigned const * | axis,
|  | l4re_event_absinfo_t * | info )

Get Axis information for a stream.

Parameters

  | server | Server to talk to.
  | id | Id of the stream to get information from.
  | naxes | Number of axes in axis array.
  [in] | axis | Array of axis IDs whose information should be retrieved.
  [out] | info | Information buffer to store the retrieved axis infos.

Return values

  0 | Success
  <0 | Error

See also
  L4Re::Event::get_axis_info

References L4_END_DECLS, and L4_NOTHROW.

## l4re_event_get_buffer()

long l4re_event_get_buffer | ( | const l4_cap_idx_t | server,
|  | const l4re_ds_t | ds )

Get an event signal buffer.

Parameters

  server | Server to talk to.
  ds | Buffer to event data.

Returns
  0 for success, <0 on error

See also
  L4Re::Event::get_buffer

References L4_CV, L4_NOTHROW, and l4re_ds_t.

## l4re_event_get_num_streams()

long l4re_event_get_num_streams | ( | const l4_cap_idx_t | server | ) |

Get number of streams.

Parameters

  server | Server to talk to.

Returns
  0 for success, <0 on error

See also
  L4Re::Event::get_num_streams

References L4_CV, and L4_NOTHROW.

## l4re_event_get_stream_info()

long l4re_event_get_stream_info | ( | const l4_cap_idx_t | server,
|  | int | idx,
|  | l4re_event_stream_info_t * | info )

Get information on a stream.

Parameters

  | server | Server to talk to.
  | idx | Index value.
  [out] | info | Information buffer.

Returns
  0 for success, <0 on error

See also
  L4Re::Event::get_stream_info

References L4_CV, and L4_NOTHROW.

## l4re_event_get_stream_info_for_id()

long l4re_event_get_stream_info_for_id | ( | const l4_cap_idx_t | server,
|  | l4_umword_t | stream_id,
|  | l4re_event_stream_info_t * | info )

Get info for a stream given a stream id.

Parameters

  | server | Server to talk to.
  | stream_id | Stream ID.
  [out] | info | Information buffer.

Returns
  0 for success, <0 on error

See also
  L4Re::Event::get_stream_info_for_id

References L4_CV, and L4_NOTHROW.